## org.w3c.jigadmin.editors
Class MyHTMLEditorKit.LinkController

    java.lang.Object
      |
      +--javax.swing.event.MouseInputAdapter
            |
            +--org.w3c.jigadmin.editors.MyHTMLEditorKit.LinkController

public static class MyHTMLEditorKit.LinkController
extends javax.swing.event.MouseInputAdapter
implements java.io.Serializable

Our MouseListener.

See Also:
  Serialized Form

Constructor Summary
`MyHTMLEditorKit.LinkController()`

Method Summary
`protected void` | `activateLink(int pos, javax.swing.JEditorPane html, int type)`
`void` | `mouseClicked(java.awt.event.MouseEvent e)`
`void` | `mouseMoved(java.awt.event.MouseEvent e)`

Methods inherited from class javax.swing.event.MouseInputAdapter
`mouseDragged, mouseEntered, mouseExited, mousePressed, mouseReleased`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MyHTMLEditorKit.LinkController

    public MyHTMLEditorKit.LinkController()

Method Detail

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

  Overrides:
    mouseClicked in class javax.swing.event.MouseInputAdapter

### mouseMoved

    public void mouseMoved(java.awt.event.MouseEvent e)

  Overrides:
    mouseMoved in class javax.swing.event.MouseInputAdapter

### activateLink

    protected void activateLink(int pos,
                                javax.swing.JEditorPane html,
                                int type)